Subject: [PWE3] [Technical Errata Reported] RFC5994 (2547)

From: RFC Errata System <[email-masked]>
Date: Thu, 7 Oct 2010 11:07:06 -0700 (PDT)

The following errata report has been submitted for RFC5994,
"Application of Ethernet Pseudowires to MPLS Transport Networks".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5994&eid=2547

--------------------------------------
Type: Technical
Reported by: Alfred Hoenes <[email-masked]>

Section: GLOBAL

Original Text
-------------
a)

MPLS EXP field

b)

EXP-Inferred-PSC LSP (E-LSP)

Corrected Text
--------------
a)

MPLS Traffic Class field

b)

Explicitly TC-encoded-PSC LSP (E-LSP)

Notes
-----
Rationale:
  RFC 5462 has carefully changed the terminology and updated RFCs 3032
  and 3270 (among others); it has given a detailed explantion why this
  needs to be done and confirmed that all future RFCs should
  unconditionally use the updated terms.
  See in particular Sections 2.1 and 2.2 of RFC 5462 for the updates to
  RFC 3032 and RFC 3270 (respectively) that are relevant for this RFC.

  Ironically, RFC 5994 cites RFC 5462, yet uses the obsolete terms. Sigh!

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5994 (draft-ietf-pwe3-mpls-transport-04)
--------------------------------------
Title               : Application of Ethernet Pseudowires to MPLS Transport Networks
Publication Date    : October 2010
Author(s)           : S. Bryant, Ed., M. Morrow, G. Swallow, R. Cherukuri, T. Nadeau, N. Harrison, B. Niven-Jenkins
Category            : INFORMATIONAL
Source              : Pseudo Wire Emulation Edge to Edge
Area                : Internet
Stream              : IETF
Verifying Party     : IESG

---

From: "Malis, Andrew G. (Andy)" <[email-masked]>
Date: Mon, 11 Oct 2010 12:28:46 -0400

Alfred,

Thanks for the sharp reading! The original draft for this RFC pre-dated
5462, but you're right, the terms should have been updated. It's a good
thing to watch for on future reviews.

Cheers,
Andy